function omrun(modelname,datasetfile)  % Filename des *.mo-files, modellname
%-----------------------------------------------------------------------------------------
%Funktion zum Start der Simulation eines schon kompilierten Modelica-Models mit
%OpenModelica. ACHTUNG: DAS MODELL MUSS KOMPILIERT SEIN! Durch Angabe eines
%entsprechenden Parameterfiles, wird die Simulation mit dem dort abgelegten Parametersatz
%durchgefhrt. Wird keine Parameterdatei angegeben, wird die Simulation mit dem
%Parametersatz des Standardparameterfiles durchgefhrt.
%
%SYNTAX:    omrun(modelname,datasetfile)
%
%mit:       modelname   = NAME DES MODELLS (String) bzw. NAME DES PACKAGES.NAME DES
%                         MODELLS falls das Modell innerhalb eines Packagees liegt:
%                         z.B. 'package.modelname'
%           datasetfile = (optinal), Name (String) des zu verwendenden Parameterfiles
%
%Beispiel: omrun('package.model','meindatasetfile')
%-----------------------------------------------------------------------------------------
if exist([modelname,'_res.plt'],'file')
    delete([modelname,'_res.plt']);
    fprintf('\n Das alte res-File wurde gelscht.\n\n');
end

linux = isunix;
if exist('datasetfile','var')
    switch linux
        case 1
            % Speichern des Inahlts der angegebenen Parameterdatei in der Standardparameterdatei
            eval(['!cp ',datasetfile,' ',modelname,'_init.txt']);
        case 0
            % Speichern des Inahlts der angegebenen Parameterdatei in der Standardparameterdatei
            eval(['!copy ',datasetfile,' ',modelname,'_init.txt']);
    end
else
    switch linux
        case 1
            % Ausfhren der Executable des Modells (Simulation)
            eval(['!./',modelname,'.exe'])
        case 0
            % Ausfhren der Executable des Modells (Simulation)
            eval(['!',modelname,'.exe'])
    end
end

